Subject: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Fri, 24 May 2024 12:07:23 +0200

I still get these. Should I open a new issue for this as the bug
report has changed towards the path issue?
The path issue was only visible to me when debugging in gdb, so these
crashes (my original case) is still ongoing.

#0  0x00007ff9672dd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
#1  0x00007ff719eb0f28 in emacs_abort ()
#2  0x00007ff719d7a389 in terminate_due_to_signal ()
#3  0x00007ff719d9b249 in deliver_fatal_thread_signal ()
#4  0x00007ff719f16672 in _gnu_exception_handler
(exception_data=0xb3a4dfb400) at
C:/M/B/src/mingw-w64/mingw-w64-crt/crt/crt_handler.c:213
#5  0x00007ff968bbb248 in msvcrt!__C_specific_handler () from
C:\WINDOWS\System32\msvcrt.dll
#6  0x00007ff969b549ff in ntdll!.chkstk () from C:\WINDOWS\SYSTEM32\ntdll.dll
#7  0x00007ff969ace466 in ntdll!RtlFindCharInUnicodeString () from
C:\WINDOWS\SYSTEM32\ntdll.dll
#8  0x00007ff969b539ee in ntdll!KiUserExceptionDispatcher () from
C:\WINDOWS\SYSTEM32\ntdll.dll
#9  0x00007ff719dda17d in rpl_re_compile_pattern ()
#10 0x00007ff719dcaf10 in compile_pattern ()
#11 0x00007ff719dcb34d in looking_at_1 ()
#12 0x00007ff719e10032 in Ffuncall ()
#13 0x00007ff8e7591da7 in
F73702d736b69702d666f72776172642d746f2d73796d626f6c_sp_skip_forward_to_symbol_0
()
   from d:\.emacs.d\.local\cache\eln\29.3-2771a4de\smartparens-7ac9a6ec-f08b49fa.eln
#14 0x00007ff719e10032 in Ffuncall ()
#15 0x00007ff8e7582ee8 in F73702d6765742d7468696e67_sp_get_thing_0 ()
from d:\.emacs.d\.local\cache\eln\29.3-2771a4de\smartparens-7ac9a6ec-f08b49fa.eln
#16 0x00007ff719e0ed66 in eval_sub ()
#17 0x00007ff719e0ee2d in Fprogn ()
#18 0x00007ff719e0eb56 in eval_sub ()
#19 0x00007ff719e11c89 in internal_lisp_condition_case ()
#20 0x00007ff719e0eb56 in eval_sub ()
#21 0x00007ff719e12416 in FletX ()
#22 0x00007ff719e0eb56 in eval_sub ()
#23 0x00007ff719e0f558 in Fcond ()
#24 0x00007ff719e0eb56 in eval_sub ()
#25 0x00007ff719e0f58d in Fcond ()
#26 0x00007ff719e0eb56 in eval_sub ()
#27 0x00007ff719e0fa7d in funcall_lambda ()
#28 0x00007ff719e10032 in Ffuncall ()
#29 0x00007ff719e102d8 in Fapply ()
#30 0x00007ff719e5a390 in exec_byte_code ()
#31 0x00007ff719e0f8e0 in funcall_lambda ()
#32 0x00007ff719e10032 in Ffuncall ()
#33 0x00007ff719e102d8 in Fapply ()
#34 0x00007ff719e5a390 in exec_byte_code ()
#35 0x00007ff719e10032 in Ffuncall ()
#36 0x00007ff8f0c8f185 in
F6261636b776172642d64656c6574652d636861722d756e746162696679_backward_delete_char_untabify_0
()
--Type <RET> for more, q to quit, c to continue without paging--c
   from c:\programs\emacs\latest\lib\emacs\29.3\native-lisp\29.3-2771a4de\preloaded\simple-fab5b0cf-9ff4140c.eln
#37 0x00007ff719e10032 in Ffuncall ()
#38 0x00007ff719e07d04 in Ffuncall_interactively ()
#39 0x00007ff719e10032 in Ffuncall ()
#40 0x00007ff719e09196 in Fcall_interactively ()
#41 0x00007ff8f0c7f2ef in F636f6d6d616e642d65786563757465_command_execute_0 ()
   from c:\programs\emacs\latest\lib\emacs\29.3\native-lisp\29.3-2771a4de\preloaded\simple-fab5b0cf-9ff4140c.eln
#42 0x00007ff719e10032 in Ffuncall ()
#43 0x00007ff719d8ec83 in command_loop_1 ()
#44 0x00007ff719e0a62d in internal_condition_case ()
#45 0x00007ff719d7ac32 in command_loop_2 ()
#46 0x00007ff719d921ef in Fexecute_kbd_macro ()
#47 0x00007ff8ec6c4191 in
F6576696c2d657865637574652d7265706561742d696e666f_evil_execute_repeat_info_0
()
   from d:\.emacs.d\.local\cache\eln\29.3-2771a4de\evil-repeat-09db557d-eb33be8a.eln
#48 0x00007ff719e10032 in Ffuncall ()
#49 0x00007ff8ec6f3296 in
F6576696c2d636c65616e75702d696e736572742d7374617465_evil_cleanup_insert_state_0
()
   from d:\.emacs.d\.local\cache\eln\29.3-2771a4de\evil-states-b443b961-daed8501.eln
#50 0x00007ff719e10032 in Ffuncall ()
#51 0x00007ff719e10109 in funcall_nil ()
#52 0x00007ff719e0aeab in run_hook_with_args ()
#53 0x00007ff719e0b0d1 in Frun_hooks ()
#54 0x00007ff8ec6f220c in
F6576696c2d696e736572742d7374617465_evil_insert_state_0 ()
   from d:\.emacs.d\.local\cache\eln\29.3-2771a4de\evil-states-b443b961-daed8501.eln
#55 0x00007ff719e10032 in Ffuncall ()
#56 0x00007ff8ec842590 in
F6576696c2d6368616e67652d7374617465_evil_change_state_0 ()
   from d:\.emacs.d\.local\cache\eln\29.3-2771a4de\evil-core-00ab2194-02c400a0.eln
#57 0x00007ff719e10032 in Ffuncall ()
#58 0x00007ff8ec6f1ac4 in
F6576696c2d6e6f726d616c2d7374617465_evil_normal_state_0 ()
   from d:\.emacs.d\.local\cache\eln\29.3-2771a4de\evil-states-b443b961-daed8501.eln
#59 0x00007ff719e10032 in Ffuncall ()
#60 0x00007ff719e07d04 in Ffuncall_interactively ()
#61 0x00007ff719e10032 in Ffuncall ()
#62 0x00007ff719e10438 in Fapply ()
#63 0x00007ff719e09439 in Fcall_interactively ()
#64 0x00007ff8f0c7f2ef in F636f6d6d616e642d65786563757465_command_execute_0 ()
   from c:\programs\emacs\latest\lib\emacs\29.3\native-lisp\29.3-2771a4de\preloaded\simple-fab5b0cf-9ff4140c.eln
#65 0x00007ff719e10032 in Ffuncall ()
#66 0x00007ff719d8ec83 in command_loop_1 ()
#67 0x00007ff719e0a62d in internal_condition_case ()
#68 0x00007ff719d7ac32 in command_loop_2 ()
#69 0x00007ff719e0a59b in internal_catch ()
#70 0x00007ff719d7abcc in command_loop ()
#71 0x00007ff719d82fe7 in recursive_edit_1 ()
#72 0x00007ff719d833b0 in Frecursive_edit ()
#73 0x00007ff719f29b7d in main ()

On Tue, May 14, 2024 at 1:23 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Simen Endsjø <[email-masked]>
> > Date: Tue, 14 May 2024 12:14:11 +0200
> > Cc: [email-masked]
> >
> > Here's a backtrace of the most recent crash. I have no idea if it's
> > one issue or several. It seems to be crashing at arbitrary times,
> > often just when writing plain text in org-mode buffers.
>
> It's unclear what happened here and why.  Seems like some fatal
> exception in the middle of all-completions call, but why would that
> be?
>
> I do see that you have quite a few 3rd-party packages involved in
> this: vertico, orderless, and consult at least.
>
> I also see that one of the threads is run by Glib, which sounds
> strange to me, but maybe it's because of librsvg?  Not sure if this is
> related to the crash.
>
> This part of your environment:
>
>   Important settings:
>     value of $LANG: en_US
>     locale-coding-system: cp65001   <<<<<<<<<<<<<<<<<<<<<<<
>
> might also be related: AFAIU it means you configured your system to
> use UTF-8 encoding by default, which might cause issues with
> sub-processes, because Emacs on Windows doesn't support passing UTF-8
> encoded arguments to sub-processes.  And the backtrace indicates that
> you had a sub-process running when this happened (or at least a thread
> was running waiting for output from a sub-process).
>
> And why is the value of $LANG "en_US"?  It's supposed to be "ENU" on
> Windows.  Did you customize the locale and/or the defaults for the
> coding-systems, and if so, how?
>
> In any case, please keep running Emacs under GDB and post two or three
> more backtraces from the crash, so that we could see which parts of
> this to focus on.
>
> Thanks.